# salt.states.zabbix_hostgroup

Management of Zabbix host groups.

codeauthor:

  Jiri Kotlin <jiri.kotlin@ultimum.io>

salt.states.zabbix_hostgroup.absent(name, **kwargs)

  Ensures that the host group does not exist, eventually delete host group.

  New in version 2016.3.0.

  Parameters:

    - name -- name of the host group

    - _connection_user -- Optional - zabbix user (can also be set in opts or pillar, see module's docstring)

    - _connection_password -- Optional - zabbix password (can also be set in opts or pillar, see module's docstring)

    - _connection_url -- Optional - url of zabbix frontend (can also be set in opts, pillar, see module's docstring)

      delete_testing_host_group:
          zabbix_hostgroup.absent:
              - name: 'My hostgroup name'

salt.states.zabbix_hostgroup.present(name, **kwargs)

  Ensures that the host group exists, eventually creates new host group.

  New in version 2016.3.0.

  Parameters:

    - name -- name of the host group

    - _connection_user -- Optional - zabbix user (can also be set in opts or pillar, see module's docstring)

    - _connection_password -- Optional - zabbix password (can also be set in opts or pillar, see module's docstring)

    - _connection_url -- Optional - url of zabbix frontend (can also be set in opts, pillar, see module's docstring)

      create_testing_host_group:
          zabbix_hostgroup.present:
              - name: 'My hostgroup name'